curl --request POST \
--url https://api.aiid.edu.kg/api/v3/contents/generations/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "doubao-seedance-1-0-lite-i2v-250428",
"mode": "reference_material",
"prompt": "测试文字",
"content": [
{
"type": "text",
"text": "测试文字"
},
{
"type": "image_url",
"image_url": {
"url": "https://imageproxy.zhongzhuan.chat/api/proxy/image/9979f1a754b3571d5e8bdcc397eedf53.png"
},
"role": "reference_image",
"name": "1"
},
{
"type": "video_url",
"video_url": {
"url": "https://imageproxy.zhongzhuan.chat/api/proxy/video/1979f1a754b3571d5e8bdcc397eedf53.mp4"
},
"role": "reference_video",
"name": "2"
},
{
"type": "audio_url",
"audio_url": {
"url": "https://imageproxy.zhongzhuan.chat/api/proxy/video/3979f1a754b3571d5e8bdcc397eedf53.mp3"
},
"role": "reference_audio",
"name": "3"
}
],
"duration": 5,
"size": "1280x720"
}
'{
"id": "task_xxx",
"status": "queued",
"created_at": "<string>",
"items": "<string>"
}Create video (Seedance)
This series supports OpenAI video generation formats (see the link Video generation Sora compatible formats).
Used to create video generation tasks and query status and results via task ID.
Core fields for task creation:
model: Required. Model name.prompt: Required. Primary description for video generation.content: Optional, the Volcano Ark content array, mixing text, image, video, and audio materials.function_mode: Optional. Commonly used for advanced modes such as Omni-Reference.
Compatible input parameters:
The following fields are mainly used for compatibility with legacy clients and older protocols. For new integrations, please use the standard format in the “Request Example” on this page whenever possible: use the content array for text and reference materials, and use top-level duration, ratio, resolution, fps, and other fields for generation configuration.
mode:t2v / i2v / i2v_first_last / reference_images / reference_materialimage_url / image_urls / input_referenceend_image_url / last_image_urlvideo_urls / audio_urlsseconds / durationaspect_ratio / ratio / sizequality / resolutionfpsgenerate_audio / watermark
Call details:
- When using
mode=reference_materialorfunction_mode=omni_reference, it is recommended to pass text and reference materials viacontent. contenttext items are written as{ "type": "text", "text": "测试文字" }.contentimage, video, and audio material items use theimage_url,video_url, andaudio_urlobject formats respectively, for example{ "type": "image_url", "image_url": { "url": "https://example.com/ref.png" }, "role": "reference_image", "name": "1" }.rolecan be used to identify the purpose of the material, andnamecan be referenced by name in prompts.ratio,duration,resolution, andfpswill affect the final generation configuration.
Gemini Omni invocation:
gemini-omnican also be invoked through this Seedance task API.mode=t2vis used for text-to-video,mode=r2vfor generation with reference images/reference materials, andmode=editfor video editing.- Text can be placed in the
textitem ofpromptorcontent; images can be placed inimage_url / image_urls / reference_images / input_reference / content; videos can be placed invideo_urls / content. - The duration field can use
durationorseconds, and will be automatically mapped to the 4 / 6 / 8 / 10 second options.
MiniMax / Hailuo Invocation:
minimax-h3can be invoked through this task API and supports text-to-video, image reference, and audio reference; text can be placed in thepromptorcontenttext fields, and assets can be placed in fields such ascontent,image_urls, andaudio_urls.hailuo-2.3can be invoked through this task API. A first-frame image is required. It is recommended to pass theimage_urlitem ofrole=first_frameincontent.minimax-h3commonly usesduration=5~15andresolution=1440p;hailuo-2.3commonly usesduration=6or10andresolution=768p.
Key fields in query results:
items[].statusitems[].content.video_urloritems[].video_urlitems[].erroritems[].progress
Error fields: error.code, error.message.
{
"error": {
"code": "invalid_request_error",
"message": "requires at least one image in `images`"
}
}
curl --request POST \
--url https://api.aiid.edu.kg/api/v3/contents/generations/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "doubao-seedance-1-0-lite-i2v-250428",
"mode": "reference_material",
"prompt": "测试文字",
"content": [
{
"type": "text",
"text": "测试文字"
},
{
"type": "image_url",
"image_url": {
"url": "https://imageproxy.zhongzhuan.chat/api/proxy/image/9979f1a754b3571d5e8bdcc397eedf53.png"
},
"role": "reference_image",
"name": "1"
},
{
"type": "video_url",
"video_url": {
"url": "https://imageproxy.zhongzhuan.chat/api/proxy/video/1979f1a754b3571d5e8bdcc397eedf53.mp4"
},
"role": "reference_video",
"name": "2"
},
{
"type": "audio_url",
"audio_url": {
"url": "https://imageproxy.zhongzhuan.chat/api/proxy/video/3979f1a754b3571d5e8bdcc397eedf53.mp3"
},
"role": "reference_audio",
"name": "3"
}
],
"duration": 5,
"size": "1280x720"
}
'{
"id": "task_xxx",
"status": "queued",
"created_at": "<string>",
"items": "<string>"
}Authorizations
Use Bearer Token authentication.
Format: Authorization: Bearer sk-xxxxxx
Body
Required. Model name. You can pass the Seedance external model, gemini-omni, minimax-h3, or hailuo-2.3.
doubao-seedance-1-0-lite-i2v-250428, doubao-seedance-1-0-lite-t2v-250428, doubao-seedance-1-0-pro-250528, doubao-seedance-1-0-pro-fast-251015, doubao-seedance-1-5-pro-251215, doubao-seedance-2-0-260128, doubao-seedance-2-0-fast-260128, minimax-h3, hailuo-2.3, gemini-omni "doubao-seedance-2-0-260128"
Required. The primary description for video generation; cannot be empty.
"参考素材生成一段剧情短视频"
Optional. The Volcano Ark content array, which interleaves text and media items in order. Text items use { "type": "text", "text": "..." }; image, video, and audio items use image_url, video_url, and audio_url objects respectively, with url placed inside them. These can be used together with role (such as reference_image, reference_video, and reference_audio) and name for text references.
Hide child attributes
Hide child attributes
Content item type.
text, image_url, video_url, audio_url Text content, used only when type=text.
Image URL. Recommended object format: {"url":"https://..."}.
Video URL. Recommended object syntax: {"url":"https://..."}.
Audio URL. Recommended object format: {"url":"https://..."}.
Asset usage identifier. Common values include reference_image, reference_video, and reference_audio.
Asset name, can be referenced in text prompts or used to distinguish between multiple assets.
Optional. Advanced feature mode, such as omni_reference for all-in-one reference.
Optional. Compatibility mode fields, such as t2v, i2v, i2v_first_last, reference_images, and reference_material; gemini-omni supports t2v, r2v, and edit.
Optional. URL of a single reference image.
Optional. A list of URLs for multiple reference images.
Optional. Compatible with reference input fields.
Optional. The URL of the last-frame reference image.
Optional. URL alias for the last frame reference image.
Optional. List of reference video URLs.
Optional. List of reference audio URLs.
Optional. Video duration in seconds; compatible with duration.
Optional. Video duration in seconds; compatible with seconds.
Optional. Aspect ratio, such as 16:9.
Optional. Aspect ratio aliases, such as 16:9.
Optional. Field for resolution or dimension compatibility.
Optional. Generation quality configuration.
Optional. The output resolution.
Optional. Frame rate.
Optional. Whether to generate audio.
Optional. Whether to add a watermark.
